# TODO
# - uses openvpn user/group, but pld does not have any
#   see NetworkManager-openvpn-0.8/properties/import-export.c
#   add in openvpn.spec? switch to nobody/nobody?
Summary:	NetworkManager VPN integration for OpenVPN
Summary(pl.UTF-8):	Integracja NetworkManagera z OpenVPN-em
Name:		NetworkManager-openvpn
Version:	1.0.6
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-openvpn/1.0/%{name}-%{version}.tar.xz
# Source0-md5:	02931c0302310d06e43d413b5a7a3261
URL:		http://projects.gnome.org/NetworkManager/
BuildRequires:	NetworkManager-devel >= 2:1.0.0
BuildRequires:	NetworkManager-gtk-lib-devel >= 1.0.6
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32
BuildRequires:	gtk+3-devel >= 3.4
BuildRequires:	intltool >= 0.36.2
BuildRequires:	libsecret-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Provides:	group(nm-openvpn)
Provides:	user(nm-openvpn)
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	NetworkManager >= 2:1.0.0
Requires:	NetworkManager-gtk-lib >= 1.0.6
Requires:	dbus-glib >= 0.74
Requires:	glib2 >= 1:2.32
Requires:	gtk+3 >= 3.4
Requires:	openvpn
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetworkManager VPN integration for OpenVPN.

%description -l pl.UTF-8
Integracja NetworkManagera z OpenVPN-em.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 324 -r -f nm-openvpn
%useradd -u 324 -s /bin/false -c "Default user for running openvpn spawned by NetworkManager" -g nm-openvpn nm-openvpn

%postun
if [ "$1" = "0" ]; then
	%userremove nm-openvpn
	%groupremove nm-openvpn
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-openvpn-properties.so
%attr(755,root,root) %{_libdir}/nm-openvpn-auth-dialog
%attr(755,root,root) %{_libdir}/nm-openvpn-service
%attr(755,root,root) %{_libdir}/nm-openvpn-service-openvpn-helper
%{_sysconfdir}/NetworkManager/VPN/nm-openvpn-service.name
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dbus-1/system.d/nm-openvpn-service.conf
%{_datadir}/gnome-vpn-properties/openvpn
%changelog
* Mon Sep 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-openvpn.git;a=log;h=master

* Mon Sep 14 2015 Jan Palus <atler@pld-linux.org> 9518299
- rel 2

* Sun Sep 13 2015 Jan Palus <atler@pld-linux.org> e06bacb
- nm-openvpn user is now required to run openvpn from nm

* Sun Aug 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> a38f410
- updated to 1.0.6

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 461e52a
- updated to 1.0.2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 036ae35
- updated gettext BR

* Sun Dec 21 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 712a441
- Update to 1.0.0

* Tue Jul 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 28346fe
- GConf is no longer used

* Tue Jul 08 2014 Jakub Bogusz <qboosh@pld-linux.org> dca8734
- updated to 0.9.10.0

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 1af3b1e
- updated to 0.9.8.4

* Mon Jun 10 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 7604b06
- Update to 0.9.8.2

* Thu Feb 21 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 640bd61
- Update to 0.9.8.0

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 5598021
- updated to 0.9.6.0

* Sat Mar 24 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 5858f2d
- updated to 0.9.4.0

* Fri Nov 11 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 5c34268
- updated to 0.9.2.0

* Sun Sep 25 2011 Jakub Bogusz <qboosh@pld-linux.org> c5e005c
- disable-static instead of building and removing
- package docs

* Wed Sep 21 2011 lisu <lisu@pld-linux.org> 638486e
- updated to 0.9.0
- BRs updated

* Wed May 04 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 03d5538
- updated to 0.8.999

* Wed Apr 06 2011 Łukasz Kieś <kiesiu@pld-linux.org> 0c5bb91
- updated BRs and Rs

* Wed Apr 06 2011 Łukasz Kieś <kiesiu@pld-linux.org> 0fba8f7
- up to 0.8.998

* Fri Nov 05 2010 Marcin Banasiak <marcin.banasiak@gmail.com> e99db32
- updated to 0.8.2

